uuid.h File Reference
`#include <array>`
`#include <chrono>`
`#include <format>`
`#include <iomanip>`
`#include <random>`
`#include <sstream>`
`#include <string>`
Include dependency graph for uuid.h:

Go to the source code of this file.

## Namespaces

namespace | sdi_toolBox
| Root namespace for the sdi_toolBox library.
namespace | sdi_toolBox::desktop
| Desktop-specific components of the sdi_toolBox library.
namespace | sdi_toolBox::desktop::utils
| General-purpose utility functions and helpers for desktop applications.
namespace | sdi_toolBox::desktop::utils::uuid
| Utility functions for UUID and unique identifier generation.

## Functions

std::string | uniqid (bool moreEntropy=false)
| Generate a unique identifier based on the current time (microseconds).
std::string | v4 ()
| Generate a random UUID (version 4).
std::string | v7 ()
| Generate a time-ordered UUID (version 7).